from django.urls import path
from . import views

app_name = 'crm'

urlpatterns = [
    path('', views.EventListView.as_view(), name='planned_events'),path('', views.EventListView.as_view(), name='events'),
    path('events/add/', views.EventCreateView.as_view(), name='add-event'),
    path('events/add/<int:prospect_id>/', views.EventCreateView.as_view(), name='add-event-for-prospect'),
    path('events/<int:pk>/edit/', views.EditEventView.as_view(), name='edit_event'),
    path('events/<int:pk>/start/', views.StartEventView.as_view(), name='start_event'),
    path('prospects/', views.ProspectListView.as_view(), name='prospect-list'),
    path('prospect/add/', views.prospect_form, name='add-prospect'),
    path('prospect/<int:pk>/edit/', views.prospect_form, name='edit-prospect'),
    path('prospects/import/', views.CSVImportView.as_view(), name='csv-import'),
    path('email/send/', views.SendBulkEmailView.as_view(), name='send-bulk-email'),
]
